0

I use the DropzoneJS module. To change to change part of the styles written here: /modules/contrib/dropzonejs/css/dropzone.widget.css I use libraries-extend.

In the files of my theme particle I wrote:

particle.info.yml:

libraries-extend:
   dropzonejs/widget:
     - particle/dropzone-custom

particle.libraries.yml:

dropzone-custom:
   version: VERSION
   css:
     theme:
       css/style.css: {}

style.css:

.dropzone {
  background: #f1fbff;
  border: 2px dashed #2cb7f4;
  border-radius: 37px;
}

And then I cleaned the cache. But styles are not applied.

Where is the error? Is something missing?

3
  • I believe modules can't use the library-extend and its only themes that can drupal.stackexchange.com/questions/293532/… May 17, 2023 at 8:11
  • The OP is using it in a theme (since he says my theme particle).
    – apaderno
    May 17, 2023 at 11:04
  • Are you checking this on a page that uses the particle theme? Is the theme enabled? Does the theme have a .info.yml file? Is that file correctly named after the theme machine name?
    – apaderno
    May 17, 2023 at 11:06

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.